<?php
/*
+- Q Tree Menu -------------------------------------------------+
|                                                               |
| File        : q_tree_menu/admin_prefs.php                     |
| Coding      : Rijk van Wel, aka Ridge                         |
| Description : Admin page for preferences                      |
|                                                               |
| ************************************************************* |
| For the e107 website system  Steve Dunstan 2001-2005         |
| http://e107.org - jalist@e107.org                             |
|                                                               |
| Released under the terms and conditions of the                |
| GNU General Public License (http://gnu.org).                  |
+---------------------------------------------------------------+
*/

function headerjs()
   {echo "<style type=\"text/css\">
          #dhtmltooltip
            {position: absolute;
             width: 190px;
             border: 1px solid black;
             padding: 2px;
             background-color: #FFFFDD;
             visibility: hidden;
             z-index: 100;
            }
          </style>";
   }

require_once("../../class2.php");

if (file_exists(e_PLUGIN."q_tree_menu/language/".e_LANGUAGE.".php"))
	  @require_once(e_PLUGIN."q_tree_menu/language/".e_LANGUAGE.".php");
else
   @require_once(e_PLUGIN."q_tree_menu/language/English.php");

//---------------------------------------------------------------
//              BEGIN CONFIGURATION AREA
//---------------------------------------------------------------

/*

$preftitle: The caption shown in the admin preferences page.

$prefcapt: The label or caption to be displayed for the field.
$prefname: the name of the preference you wish to save.
$preftype: the input type - choose from either: text,radio,checkbox, dropdown, date or table
$prefvalu: the default values of the above- format changes depending on type.
            text: default-text
            textarea: default-text
            radio: option1,option2,option3
            checkbox: value
            dropdown: option1,option2,option3
            table: tablename,value,name
            accesstable: (no value required)
            date: (no value required)

Simply duplicate the 4 "pref..." values as many times as needed.
You must use all 4 "prefxxxx" options for every prefernce you wish to create.
*/

$pageid = "prefs";

$prefcapt[] = "Main items width";
$prefname[] = "Q_Tree_mainwidth";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Width of the first level items";
$prefcapt[] = "Main items height";
$prefname[] = "Q_Tree_mainheight";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Height of the first level items";
$prefcapt[] = "Sub items width";
$prefname[] = "Q_Tree_subwidth";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Width of the items in the submenu\'s";
$prefcapt[] = "Sub items height";
$prefname[] = "Q_Tree_subheight";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Height of the items in the submenu\'s";
$prefcapt[] = "Main items background image";
$prefname[] = "Q_Tree_mainbgimage";
$preftype[] = "text";
$prefinfo[] = "<b>File path</b><br />Background image of the main menu items. For a rollover image (image changes when mouse is over item), use the following syntax: rollover?image1.jpg?image2.jpg";
$prefcapt[] = "Sub items background image";
$prefname[] = "Q_Tree_subbgimage";
$preftype[] = "text";
$prefinfo[] = "<b>File path</b><br />Background image of the sub menu items. For a rollover image (image changes when mouse is over item), use the following syntax: rollover?image1.jpg?image2.jpg";
$prefcapt[] = "Low background color";
$prefname[] = "Q_Tree_lowbgcolor";
$preftype[] = "color";
$prefinfo[] = "<b>Color</b><br />Background color of the elements when the mouse is not on the element.<br />Set high/low background color and border color to <i>TTTTTT</i> (bottom of second column) for transparent background.";
$prefcapt[] = "High background color";
$prefname[] = "Q_Tree_highbgcolor";
$preftype[] = "color";
$prefinfo[] = "<b>Color</b><br />Background color of the elements when the mouse is on the element.<br />Set high/low background color and border color to <i>TTTTTT</i> (bottom of second column) for transparent background.";
$prefcapt[] = "Font low color";
$prefname[] = "Q_Tree_fontlowcolor";
$preftype[] = "color";
$prefinfo[] = "<b>Color</b><br />Font color when the mouse is not on the element.<br />Choose TTTTTT (bottom of second column) for transparent.";
$prefcapt[] = "Font high color";
$prefname[] = "Q_Tree_fonthighcolor";
$preftype[] = "color";
$prefinfo[] = "<b>Color</b><br />Font color when the mouse is on the element.<br />Choose TTTTTT (bottom of second column) for transparent.";
$prefcapt[] = "Border color";
$prefname[] = "Q_Tree_bordercolor";
$preftype[] = "color";
$prefinfo[] = "<b>Color</b><br />Color of the borders.<br />Choose TTTTTT (bottom of second column) for transparent.";
$prefcapt[] = "Border width main";
$prefname[] = "Q_Tree_borderwidthmain";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Thickness of the outside border of the main menu.";
$prefcapt[] = "Border width sub";
$prefname[] = "Q_Tree_borderwidthsub";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Thickness of the outside border of the sub menu\'s.";
$prefcapt[] = "Border between main";
$prefname[] = "Q_Tree_borderbtwnmain";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Thickness of the borders between items in the main menu.";
$prefcapt[] = "Border between sub";
$prefname[] = "Q_Tree_borderbtwnsub";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Thickness of the borders between items in a submenu.";
$prefcapt[] = "Child overlap";
$prefname[] = "Q_Tree_co";
$preftype[] = "text";
$prefinfo[] = "<b>Number between 0 and 1</b><br />Controls what part of a parent item is horizontally covered by it\'s sublevel.<br />With a value of .25 a level will be covered for 25% by it\'s sublevel. Negative values are possible, but not very usefull.";
$prefcapt[] = "Child vertical overlap";
$prefname[] = "Q_Tree_cvo";
$preftype[] = "text";
$prefinfo[] = "<b>Number between 0 and 1</b><br />Controls what part of a parent item is vertically covered by it\'s sublevel.<br />With a value of .25 a level will be covered for 25% by it\'s sublevel. Negative values are possible, but not very usefull.";
$prefcapt[] = "Menu vertical alignment";
$prefname[] = "Q_Tree_mvc";
$preftype[] = "text";
$prefinfo[] = "<b><i>top</i>, <i>middle</i>, <i>bottom</i> or <i>static</i></b><br /> When set to static the menu will keep it\'s position from the top border of the browser window (creates a \'sliding\' effect).<br />StartTop is added to the calculated position.";
$prefcapt[] = "Start top";
$prefname[] = "Q_Tree_st";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />When the menu is positioned absolute StartTop defines the vertical position of the menu in the document. When StartTop is between 0 and 1 it is calculated as part of window height.<br />Is used as offset when MenuVerticalCentered is not <i>top</i> or when the menu is positioned relative.";
$prefcapt[] = "Start left";
$prefname[] = "Q_Tree_sl";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />When the menu is positioned absolute StartLeft defines the horizontal position of the menu in the document. When StartLeft is between 0 and 1 it is calculated as part of window width.<br />Is used as offset when MenuCentered is not <i>left</i> or when the menu is positioned relative.";
$prefcapt[] = "Left padding";
$prefname[] = "Q_Tree_lp";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Defines the distance between the left side of the menu text and the border of the element.";
$prefcapt[] = "Top padding";
$prefname[] = "Q_Tree_tp";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Defines the distance between the top side of the menu text and the border of the element.<br />When set to -1 text is vertical centered.";
$prefcapt[] = "Show arrows";
$prefname[] = "Q_Tree_arw";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />Uncheck to disable the arrows on expanding items.";
$prefcapt[] = "Link icons";
$prefname[] = "Q_Tree_ico";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />Check to display the link icons as set in the sitelinks area.";

$prefcapt[] = "Main items font";
$prefname[] = "Q_Tree_mainfontfamily";
$preftype[] = "text";
$prefinfo[] = "<b>Textual value</b><br />Font in first level menu items. Seperate preferable fonts with comma\'s, most preferable font first (like in a style sheet). For example: <i>Technic, Verdana, sans-serif</i>";
$prefcapt[] = "Main items font size";
$prefname[] = "Q_Tree_mainfontsize";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Font size in first level menu items";
$prefcapt[] = "Sub items font";
$prefname[] = "Q_Tree_subfontfamily";
$preftype[] = "text";
$prefinfo[] = "<b>Textual value</b><br />Font in submenu items. Seperate preferable fonts with comma\'s, most preferable font first (like in a style sheet). For example: <i>Technic, Verdana, sans-serif</i>";
$prefcapt[] = "Sub items font size";
$prefname[] = "Q_Tree_subfontsize";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Font size in submenu items";

$prefcapt[] = "Main bold";
$prefname[] = "Q_Tree_mainbold";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />Check for bold text in main menu items";
$prefcapt[] = "Sub bold";
$prefname[] = "Q_Tree_subbold";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />Check for bold text in submenu items";
$prefcapt[] = "Font italic";
$prefname[] = "Q_Tree_fontitalic";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />Check for italic text";
$prefcapt[] = "Text align";
$prefname[] = "Q_Tree_textalign";
$preftype[] = "text";
$prefinfo[] = "<b><i>left</i>, <i>center</i>, <i>right</i></b><br />Alignment of the text in all the menu\'s.";

$prefcapt[] = "Hoover bold";
$prefname[] = "Q_Tree_hb";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, text is switched from normal to bold on mouse over.";
$prefcapt[] = "Hoover italic";
$prefname[] = "Q_Tree_hb";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, text is switched from normal to italic on mouse over.";
$prefcapt[] = "Hoover underline";
$prefname[] = "Q_Tree_hul";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, text is switched from normal to underlined on mouse over.";
$prefcapt[] = "Hoover text size";
$prefname[] = "Q_Tree_hts";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Sets the number of points the text is enlarged on mouse over.<br />For example: normal text size is 12pt, with this variable set to 4 the text size on mouse over is changed to 16pt.";
$prefcapt[] = "Hoover variant";
$prefname[] = "Q_Tree_hv";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, text is switched from normal to small caps on mouse over.";
$prefcapt[] = "Highlight active item";
$prefname[] = "Q_Tree_act";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, the active menu item (current page) is displayed bold.";

$prefcapt[] = "Load alternative menu";
$prefname[] = "Q_Tree_am";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />Load the normal sitelinks for people with JavaScript disabled. Switch this off to make the page load faster.";
$prefcapt[] = "Unfold on click";
$prefname[] = "Q_Tree_uoc";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked the main menu unfolds when clicked on, when unchecked the main menu unfolds when moused over. Submenu\'s always unfold when moused over.";
$prefcapt[] = "Parent links";
$prefname[] = "Q_Tree_pl";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />Uncheck this to disable links for main level items that have submenu\'s (so when you click on them it only opens the submenu and not a page).";
$prefcapt[] = "First line horizontal";
$prefname[] = "Q_Tree_flh";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked the first line of the menu is displayed horizontal.";

$prefcapt[] = "Disappear delay";
$prefname[] = "Q_Tree_dd";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />The time in milliseconds the menu\'s sublevels stay visible after the mouse is no longer on the menu.";
$prefcapt[] = "Unfold delay";
$prefname[] = "Q_Tree_ud";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />The time in milliseconds before an item\'s submenu unfolds when the mouse enters the item.";
$prefcapt[] = "Right to left";
$prefname[] = "Q_Tree_rtl";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, the menu unfolds from right to left. Useful when menu is positioned on the right of your site.";
$prefcapt[] = "Bottom up";
$prefname[] = "Q_Tree_bu";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, the menu unfolds from bottom up. Useful when menu is positioned horizontally on the bottom of your site.";

$prefcapt[] = "Build on demand";
$prefname[] = "Q_Tree_bod";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked only the main menu is initially build. The submenu\'s are build when the parent item is moused over. This way the main menu appears quicker.";
$prefcapt[] = "Build pause";
$prefname[] = "Q_Tree_bp";
$preftype[] = "text";
$prefinfo[] = "<b>Number</b><br />Time in milliseconds. Sometimes (in Firefox) when a page builds slow, the menu drops right into the middle of it. The only way to avoid this is to build in a pause, so the menu is built only after the whole page is done. Leave this to zero if you don\'t need this and want the menu to appear in a flash :)"; 

$prefcapt[] = "Slide effect";
$prefname[] = "Q_Tree_slide";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, the submenu\'s unfold with a slide effect. Works only in IE6.";
$prefcapt[] = "Shadow";
$prefname[] = "Q_Tree_shadow";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, the menu gets a shadow. Works in both IE6 and FF.";
$prefcapt[] = "Opacity";
$prefname[] = "Q_Tree_opacity";
$preftype[] = "checkbox";
$prefinfo[] = "<b>On/Off</b><br />When checked, the menu will be partly transparent. Works in both IE6 and FF.";

//---------------------------------------------------------------
//              END OF CONFIGURATION AREA
//---------------------------------------------------------------



if(!getperms("P")){ header("location:".e_BASE."index.php"); }
@include_once((file_exists("languages/".e_LANGUAGE.".php") ? "languages/".e_LANGUAGE.".php" : "languages/English.php"));
require_once(e_ADMIN."auth.php");

if (isset($_POST['updatesettings']))
   {$count = count($prefname);
    for ($i=0; $i<$count; $i++)
       {$namehere = $prefname[$i];

        if ($_POST[$namehere] == "on")
           $_POST[$namehere] = 1;
        if ($_POST[$namehere] == "off")
           $_POST[$namehere] = 0;
    
        $pref[$namehere] = $_POST[$namehere];
       };
    $pref['Q_Tree_cat'] = intval($_POST['Q_Tree_cat']);
    save_prefs();
    $message = LAN_SETSAVED;
   }

if ($message)
   $ns -> tablerender("Settings saved", "<div style='text-align:center'><b>$message</b></div>");


require_once("form_handler.php");
$rs = new form;

$text = "
    <div id=\"dhtmltooltip\"></div>

    <script type=\"text/javascript\">

    /***********************************************
    * Cool DHTML tooltip script-  Dynamic Drive DHTML code library (www.dynamicdrive.com)
    * This notice MUST stay intact for legal use
    * Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
    ***********************************************/

    var offsetxpoint=15 //Customize x offset of tooltip
    var offsetypoint=15 //Customize y offset of tooltip
    var ie=document.all
    var ns6=document.getElementById && !document.all
    var enabletip=false
    if (ie||ns6)
    var tipobj=document.all? document.all[\"dhtmltooltip\"] : document.getElementById? document.getElementById(\"dhtmltooltip\") : \"\"

    function ietruebody(){
    return (document.compatMode && document.compatMode!=\"BackCompat\")? document.documentElement : document.body
    }

    function ddrivetip(thetext, thecolor, thewidth){
    if (ns6||ie){
    if (typeof thewidth!=\"undefined\") tipobj.style.width=thewidth+\"px\"
    if (typeof thecolor!=\"undefined\" && thecolor!=\"\") tipobj.style.backgroundColor=thecolor
    tipobj.innerHTML=thetext
    enabletip=true
    return false
    }
    }

    function positiontip(e){
    if (enabletip){
    var curX=(ns6)?e.pageX : event.x+ietruebody().scrollLeft;
    var curY=(ns6)?e.pageY : event.y+ietruebody().scrollTop;
    //Find out how close the mouse is to the corner of the window
    var rightedge=ie&&!window.opera? ietruebody().clientWidth-event.clientX-offsetxpoint : window.innerWidth-e.clientX-offsetxpoint-20
    var bottomedge=ie&&!window.opera? ietruebody().clientHeight-event.clientY-offsetypoint : window.innerHeight-e.clientY-offsetypoint-20

    var leftedge=(offsetxpoint<0)? offsetxpoint*(-1) : -1000

    //if the horizontal distance isn't enough to accomodate the width of the context menu
    if (rightedge<tipobj.offsetWidth)
    //move the horizontal position of the menu to the left by it's width
    tipobj.style.left=ie? ietruebody().scrollLeft+event.clientX-tipobj.offsetWidth+\"px\" : window.pageXOffset+e.clientX-tipobj.offsetWidth+\"px\"
    else if (curX<leftedge)
    tipobj.style.left=\"5px\"
    else
    //position the horizontal position of the menu where the mouse is positioned
    tipobj.style.left=curX+offsetxpoint+\"px\"

    //same concept with the vertical position
    if (bottomedge<tipobj.offsetHeight)
    tipobj.style.top=ie? ietruebody().scrollTop+event.clientY-tipobj.offsetHeight-offsetypoint+\"px\" : window.pageYOffset+e.clientY-tipobj.offsetHeight-offsetypoint+\"px\"
    else
    tipobj.style.top=curY+offsetypoint+\"px\"
    tipobj.style.visibility=\"visible\"
    }
    }

    function hideddrivetip(){
    if (ns6||ie){
    enabletip=false
    tipobj.style.visibility=\"hidden\"
    tipobj.style.left=\"-1000px\"
    tipobj.style.backgroundColor=''
    tipobj.style.width=''
    }
    }

    document.onmousemove=positiontip

    </script>

<form method='post' action='".e_SELF."' style='text-align:left; margin:10px 0px 0px 30px;'>
<fieldset style='width: 450px;'><legend>Styles</legend>
<table style='width:450px' >";

//nl2br(wordwrap($prefinfo[$i],40)

for ($i=0; $i<24; $i++) 
   {$name      = $prefname[$i];
    $value     = $pref[$name];
    $form_send = $name."|".$preftype[$i]."|".$value;
    $text .= "
    <tr>
      <td style=\"width:50%; vertical-align:top\"  onmouseover=\"ddrivetip('".$prefinfo[$i]."')\"; onmouseout=\"hideddrivetip()\">".$prefcapt[$i].":</td>
      <td style=\"width:50%\" >";
        $text .= $rs->user_extended_element_edit($form_send,$pref[$name],$name);
        $text .= "
      </td>
    </tr>";
   };

$text .= "
<tr><td colspan='2'><br /></td></tr>
<tr style='vertical-align:top'>
  <td colspan='2' style='text-align:center' class='forumheader'>
    <input class='button' type='submit' name='updatesettings' value='".Q_TREE_L3."' />
  </td>
</tr>
</table>
</fieldset>

<br />

<fieldset style='width: 450px;'><legend>Text</legend>
<table style='width:450px' >";

//nl2br(wordwrap($prefinfo[$i],40)

for ($i=24; $i<38; $i++) 
   {$name      = $prefname[$i];
    $value     = $pref[$name];
    $form_send = $name."|".$preftype[$i]."|".$value;
    $text .= "
    <tr>
      <td style=\"width:50%; vertical-align:top\"  onmouseover=\"ddrivetip('".$prefinfo[$i]."')\"; onmouseout=\"hideddrivetip()\">".$prefcapt[$i].":</td>
      <td style=\"width:50%\" >";
        $text .= $rs->user_extended_element_edit($form_send,$pref[$name],$name);
        $text .= "
      </td>
    </tr>";
   };

$text .= "
<tr><td colspan='2'><br /></td></tr>
<tr style='vertical-align:top'>
  <td colspan='2' style='text-align:center' class='forumheader'>
    <input class='button' type='submit' name='updatesettings' value='".Q_TREE_L3."' />
  </td>
</tr>
</table>
</fieldset>

<br />

<fieldset style='width: 450px;'><legend>Behaviour</legend>
<table style='width:450px' >";

//nl2br(wordwrap($prefinfo[$i],40)

for ($i=38; $i<48; $i++) 
   {$name      = $prefname[$i];
    $value     = $pref[$name];
    $form_send = $name."|".$preftype[$i]."|".$value;
    $text .= "
    <tr>
      <td style=\"width:50%; vertical-align:top\"  onmouseover=\"ddrivetip('".$prefinfo[$i]."')\"; onmouseout=\"hideddrivetip()\">".$prefcapt[$i].":</td>
      <td style=\"width:50%\" >";
        $text .= $rs->user_extended_element_edit($form_send,$pref[$name],$name);
        $text .= "
      </td>
    </tr>";
   };

$text .= "
<tr>
  <td style=\"width:50%; vertical-align:top\"  onmouseover=\"ddrivetip('<b>Select</b><br />The link category from which the links are fetched.')\"; onmouseout=\"hideddrivetip()\">Link category:</td>
  <td style=\"width:50%\" >
    <select name=\"Q_Tree_cat\">
    	<option value=\"1\" ".($pref['Q_Tree_cat'] == 1 ? 'selected="selected"' : '').">1 - Main</option>
    	<option value=\"2\" ".($pref['Q_Tree_cat'] == 2 ? 'selected="selected"' : '').">2 - Alt</option>
    	<option value=\"3\" ".($pref['Q_Tree_cat'] == 3 ? 'selected="selected"' : '').">3 - Alt</option>
    	<option value=\"4\" ".($pref['Q_Tree_cat'] == 4 ? 'selected="selected"' : '').">4 - Alt</option>
    </select>
  </td>
</tr>
<tr><td colspan='2'><br /></td></tr>
<tr style='vertical-align:top'>
  <td colspan='2' style='text-align:center' class='forumheader'>
    <input class='button' type='submit' name='updatesettings' value='".Q_TREE_L3."' />
  </td>
</tr>
</table>
</fieldset>

<br />

<fieldset style='width: 450px;'><legend>Effects</legend>
<table style='width:450px' >";

//nl2br(wordwrap($prefinfo[$i],40)

for ($i=48; $i<51; $i++) 
   {$name      = $prefname[$i];
    $value     = $pref[$name];
    $form_send = $name."|".$preftype[$i]."|".$value;
    $text .= "
    <tr>
      <td style=\"width:50%; vertical-align:top\"  onmouseover=\"ddrivetip('".$prefinfo[$i]."')\"; onmouseout=\"hideddrivetip()\">".$prefcapt[$i].":</td>
      <td style=\"width:50%\" >";
        $text .= $rs->user_extended_element_edit($form_send,$pref[$name],$name);
        $text .= "
      </td>
    </tr>";
   };

$text .= "
<tr><td colspan='2'><br /></td></tr>
<tr style='vertical-align:top'>
  <td colspan='2' style='text-align:center' class='forumheader'>
    <input class='button' type='submit' name='updatesettings' value='".Q_TREE_L3."' />
  </td>
</tr>
</table>
</fieldset>


</form>";

$ns->tablerender(Q_TREE_L2, $text);

require_once(e_ADMIN."footer.php");
?>